VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Solution"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'    Sudoku Solver
'    Copyright (C) 2006  S. I. Becker
'
'    This program is free software; you can redistribute it and/or modify
'    it under the terms of the GNU General Public License as published by
'    the Free Software Foundation; either version 2 of the License, or
'    (at your option) any later version.
'
'    This program is distributed in the hope that it will be useful,
'    but WITHOUT ANY WARRANTY; without even the implied warranty of
'    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'    GNU General Public License for more details.
'
'    You should have received a copy of the GNU General Public License
'    along with this program; if not, write to the Free Software
'    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
'
'    If you want to contact the authour, write to 44 Merrion Close,
'    Royal Tunbridge Wells, TN4 9JJ, England, or e-mail stewart@sibecker.co.uk

Option Explicit

Private m_Values() As Long

Private Sub Class_Initialize()
    ReDim m_Values(1 To 9, 1 To 9)
End Sub

Private Sub Class_Terminate()
    Erase m_Values
End Sub

Public Property Let Values(Row As Long, Col As Long, newValue As Long)
    m_Values(Row, Col) = newValue
End Property

Public Property Get Values(Row As Long, Col As Long) As Long
    Values = m_Values(Row, Col)
End Property

